# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "rlibphonenumbers_macro"
version = "0.1.6"
build = "build.rs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = """Package for "Region" enum generation for a high-performance Rust port of Google's libphonenumber for parsing, formatting, and validating international phone numbers."""
readme = "Readme.md"
license = "Apache-2.0"
repository = "https://github.com/vloldik/rlibphonenumber"
resolver = "2"

[lib]
name = "rlibphonenumbers_macro"
path = "src/lib.rs"
proc-macro = true

[[test]]
name = "macro_test"
path = "tests/macro_test.rs"

[dependencies.proc-macro2]
version = "1.0"

[dependencies.quote]
version = "1"

[dependencies.xml]
version = "1.0"
